xlmnxp/nativescript-menu 软件分析报告

基础信息

项目名称:xlmnxp/nativescript-menu

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1727178747836059648/1727178748305821696

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
object-path 安全漏洞 MAID MPS-2020-14597 CVE-2020-15256 严重
Yargs Y18n 输入原型污染漏洞 动态确定对象属性修改的控制不恰当 MPS-2020-17543 CVE-2020-7774 严重
Ini 拒绝服务 MPS-2020-17544 CVE-2020-7788 高危
properties-reader 安全漏洞 原型污染 MPS-2020-34880 CVE-2020-28471 严重
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0191 CVE-2020-36048 高危
Socketio Engineio 资源管理错误漏洞 拒绝服务 MPS-2021-0192 CVE-2020-36049 高危
Socketio Socket.io CORS漏洞 源验证错误 MPS-2021-0652 CVE-2020-28481 中危
node-tar 路径遍历漏洞 路径遍历 MPS-2021-11547 CVE-2021-32804 高危
node-tar 路径遍历漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-11548 CVE-2021-32803 高危
Indutny Elliptic 加密问题漏洞 密码算法不安全 MPS-2021-1176 CVE-2020-28498 中危
object-path 原型污染漏洞 使用不兼容类型访问资源(类型混淆) MPS-2021-18322 CVE-2021-23434 高危
UIkarma 打开重定向漏洞 跨站重定向 MPS-2021-19534 CVE-2021-23495 中危
requests 代码注入漏洞 代码注入 MPS-2021-2418 CVE-2020-28502 高危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28486 CVE-2021-37701 高危
Npm Node-tar 后置链接漏洞 在文件访问前对链接解析不恰当(链接跟随) MPS-2021-28488 CVE-2021-37712 高危
node-tar 路径遍历漏洞 路径遍历 MPS-2021-28489 CVE-2021-37713 高危
ssri 拒绝服务漏洞 拒绝服务 MPS-2021-3030 CVE-2021-27290 高危
Sindre Sorhus is-svg 拒绝服务漏洞 拒绝服务 MPS-2021-3031 CVE-2021-28092 高危
object-path 存在原型链污染 原型污染 MPS-2021-32075 CVE-2021-3805 高危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
log4js-node 存在信息泄露漏洞 缺省权限不正确 MPS-2021-37062 CVE-2022-21704 中危
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
Andrey Sitnik postcss 拒绝服务漏洞 拒绝服务 MPS-2021-4549 CVE-2021-23368 中危
Dan DeFelippi node-XMLHttpRequest 信任管理问题漏洞 证书验证不恰当 MPS-2021-5338 CVE-2021-31597 严重
postcss 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-5409 CVE-2021-23382 中危
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
ws 存在拒绝服务漏洞 拒绝服务 MPS-2021-7109 CVE-2021-32640 中危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
Color-String 拒绝服务 MPS-2021-8683 CVE-2021-29060 中危
is-svg 存在正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-8684 CVE-2021-29059 高危
shelljs 权限管理不当 MPS-2022-0508 CVE-2022-0144 高危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
jasmine-core 存在拒绝服务漏洞 拒绝服务 MPS-2022-12948 低危
ejs 代码注入 MPS-2022-13642 中危
js-yaml 存在拒绝服务漏洞 拒绝服务 MPS-2022-13820 中危
js-yaml 代码注入 MPS-2022-13822 高危
tar 正则表达式拒绝服务漏洞 拒绝服务 MPS-2022-14081 低危
Karma 跨站脚本漏洞 XSS MPS-2022-2997 CVE-2022-0437 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
global-modules-path 命令注入漏洞 MPS-2022-5045 CVE-2022-21191 严重
terser 安全漏洞 ReDoS MPS-2022-5145 CVE-2022-25858 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53512 CVE-2022-37599 高危
loader-utils v2.0.0 原型污染漏洞 动态确定对象属性修改的控制不恰当 MPS-2022-53514 CVE-2022-37601 中危
loader-utils 安全漏洞 不正确的正则表达式 MPS-2022-53516 CVE-2022-37603 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
Socketio Engine.IO拒绝服务漏洞 未捕获的异常 MPS-2022-58577 CVE-2022-41940 中危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
Github ejs 安全漏洞 注入 MPS-2022-8391 CVE-2022-29078 严重
ejs 存在服务端模板注入漏洞 注入 MPS-2023-10199 CVE-2023-29827 严重
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危
browserify-sign 密码学签名的验证不恰当 MPS-gimb-o69n CVE-2023-46234 中危
PostCSS 安全漏洞 注入 MPS-y3tx-jzms CVE-2023-44270 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
xmlhttprequest-ssl 1.5.5 1.6.2 间接依赖 强烈建议修复
express 4.17.1 4.17.3 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
socket.io-parser 3.2.0 3.3.2 间接依赖 建议修复
glob-parent 5.1.1 5.1.2 间接依赖 建议修复
qs 6.7.0 6.7.3 间接依赖 建议修复
json5 2.1.3 2.2.2 间接依赖 建议修复
js-yaml 3.7.0 3.13.1 间接依赖 建议修复
tough-cookie 2.4.3 4.1.3 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
object-path 0.11.4 0.11.8 直接依赖 建议修复
ejs 2.7.4 间接依赖 建议修复
browserify-sign 4.2.1 4.2.2 间接依赖 建议修复
properties-reader 2.0.0 2.2.0 间接依赖 建议修复
shelljs 0.8.4 0.8.5 间接依赖 建议修复
ini 1.3.5 1.3.6 间接依赖 建议修复
json-schema 0.2.3 0.4.0 间接依赖 建议修复
is-svg 2.1.0 4.3.0 间接依赖 建议修复
y18n 4.0.0 4.0.1 间接依赖 建议修复
ssri 8.0.0 8.0.1 间接依赖 建议修复
path-parse 1.0.6 1.0.7 间接依赖 建议修复
loader-utils 2.0.0 2.0.4 间接依赖 建议修复
engine.io 3.2.1 6.4.2 间接依赖 建议修复
tar 6.0.5 6.1.9 间接依赖 建议修复
terser 5.0.0 5.14.2 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
global-modules-path 2.3.1 3.0.0 间接依赖 可选修复
karma 4.1.0 6.3.16 直接依赖 可选修复
log4js 4.5.1 6.4.0 间接依赖 可选修复
color-string 0.3.0 1.5.5 间接依赖 可选修复
jasmine-core 2.99.1 3.1.0 间接依赖 可选修复
semver 7.3.2 7.5.2 间接依赖 可选修复
lodash 4.17.20 4.17.21 间接依赖 可选修复
elliptic 6.5.3 6.5.4 间接依赖 可选修复
postcss 7.0.35 8.4.31 间接依赖 可选修复
request 2.88.0 间接依赖 可选修复
ws 6.2.1 6.2.2 间接依赖 可选修复
socket.io 2.1.1 2.4.0 间接依赖 可选修复
async 2.6.3 2.6.4 间接依赖 可选修复
follow-redirects 1.13.0 1.14.8 间接依赖 可选修复
tslib 2.0.3 间接依赖

许可证风险

许可证类型 相关组件 许可证风险
MIT 583
ISC 71
CC0-1.0 1
BSD-3-Clause 11
Apache-2.0 25
BSD-2-Clause 8
Unlicense 3
CC-BY-4.0 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
arr-diff 4.0.0 间接依赖 npm
raw-loader 4.0.2 间接依赖 npm
cliui 5.0.0 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
jasmine-core 2.99.1 间接依赖 npm
finalhandler 1.1.2 间接依赖 npm
postcss-filter-plugins 2.0.3 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
qjobs 1.2.0 间接依赖 npm
mdn-data 2.0.12 间接依赖 npm
postcss 7.0.35 间接依赖 npm
map-age-cleaner 0.1.3 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
css-tree 1.0.1 间接依赖 npm
bn.js 5.1.3 间接依赖 npm
custom-event 1.0.1 间接依赖 npm
diffie-hellman 5.0.3 间接依赖 npm
is-wsl 1.1.0 直接依赖 npm
microevent.ts 0.1.1 间接依赖 npm
events 3.2.0 间接依赖 npm
postcss-discard-overridden 0.1.1 间接依赖 npm
process 0.11.10 间接依赖 npm
aws4 1.11.0 间接依赖 npm
clone-deep 2.0.2 直接依赖 npm
decamelize 1.2.0 间接依赖 npm
randomfill 1.0.4 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
rfdc 1.1.4 间接依赖 npm
ipaddr.js 1.9.1 间接依赖 npm
object-visit 1.0.1 间接依赖 npm
string-width 3.1.0 间接依赖 npm
tough-cookie 2.4.3 间接依赖 npm
typedarray 0.0.6 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
reusify 1.0.4 间接依赖 npm
readdirp 3.5.0 间接依赖 npm
postcss-modules-values 3.0.0 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
wordwrap 0.0.3 间接依赖 npm
sourcemap-codec 1.4.8 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
browserify-zlib 0.2.0 间接依赖 npm
infer-owner 1.0.4 间接依赖 npm
har-validator 5.1.5 间接依赖 npm
content-disposition 0.5.3 间接依赖 npm
isarray 1.0.0 间接依赖 npm
pinkie 2.0.4 间接依赖 npm
has-ansi 2.0.0 直接依赖 npm
ajv 6.12.3 间接依赖 npm
collection-visit 1.0.0 间接依赖 npm
commander 2.20.3 间接依赖 npm
terser 5.0.0 间接依赖 npm
nativescript-worker-loader 0.12.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
braces 3.0.2 间接依赖 npm
esprima 2.7.3 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
use 3.1.1 间接依赖 npm
ssri 8.0.0 间接依赖 npm
forwarded 0.1.2 间接依赖 npm
type-is 1.6.18 间接依赖 npm
slash 3.0.0 直接依赖 npm
callsite 1.0.0 间接依赖 npm
lodash.memoize 4.1.2 间接依赖 npm
fs-write-stream-atomic 1.0.10 间接依赖 npm
promise-inflight 1.0.1 间接依赖 npm
@nativescript/core 7.0.13 直接依赖 npm
urix 0.1.0 直接依赖 npm
split-string 3.1.0 间接依赖 npm
sshpk 1.16.1 间接依赖 npm
@webassemblyjs/wasm-parser 1.9.0 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
findup-sync 3.0.0 间接依赖 npm
chownr 2.0.0 间接依赖 npm
lines-and-columns 1.1.6 间接依赖 npm
loader-utils 2.0.0 间接依赖 npm
code-point-at 1.1.0 直接依赖 npm
karma 4.1.0 直接依赖 npm
nativescript-unit-test-runner 0.7.0 直接依赖 npm
buffer-fill 1.0.0 间接依赖 npm
end-of-stream 1.4.4 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
md5.js 1.3.5 间接依赖 npm
isexe 2.0.0 间接依赖 npm
jsonfile 6.1.0 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
serve-static 1.14.1 间接依赖 npm
repeat-string 1.6.1 直接依赖 npm
cyclist 1.0.1 间接依赖 npm
set-value 2.0.1 间接依赖 npm
arity-n 1.0.4 间接依赖 npm
remove-trailing-separator 1.1.0 直接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
es6-symbol 3.1.3 间接依赖 npm
is-stream 1.1.0 间接依赖 npm
gzip-size 5.1.1 间接依赖 npm
duplexify 3.7.1 间接依赖 npm
memfs 3.2.0 间接依赖 npm
webpack-bundle-analyzer 3.8.0 间接依赖 npm
source-map-resolve 0.6.0 间接依赖 npm
for-own 1.0.0 间接依赖 npm
base64id 1.0.0 间接依赖 npm
caniuse-api 1.6.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
xmlhttprequest-ssl 1.5.5 间接依赖 npm
flatted 2.0.2 间接依赖 npm
base64-arraybuffer 0.1.5 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
follow-redirects 1.13.0 间接依赖 npm
postcss-minify-font-values 1.0.5 间接依赖 npm
body-parser 1.19.0 间接依赖 npm
https-browserify 1.0.0 间接依赖 npm
aproba 1.2.0 间接依赖 npm
blob 0.0.5 间接依赖 npm
indexes-of 1.0.1 间接依赖 npm
v8-compile-cache 2.2.0 间接依赖 npm
next-tick 1.0.0 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
elliptic 6.5.3 间接依赖 npm
svgo 0.7.2 间接依赖 npm
terser-webpack-plugin 3.0.8 间接依赖 npm
debug 2.6.9 间接依赖 npm
clean-webpack-plugin 3.0.0 间接依赖 npm
compose-function 3.0.3 间接依赖 npm
isbinaryfile 3.0.3 间接依赖 npm
sort-keys 1.1.2 间接依赖 npm
useragent 2.3.0 间接依赖 npm
browserify-sign 4.2.1 间接依赖 npm
bytes 3.1.0 间接依赖 npm
semver 7.3.2 间接依赖 npm
streamroller 1.0.6 间接依赖 npm
xtend 4.0.2 间接依赖 npm
check-types 8.0.3 间接依赖 npm
path-type 4.0.0 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
negotiator 0.6.2 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
cosmiconfig 6.0.0 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
depd 1.1.2 间接依赖 npm
parseqs 0.0.5 间接依赖 npm
camelcase 6.2.0 间接依赖 npm
signal-exit 3.0.3 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
for-in 1.0.2 间接依赖 npm
glob 7.1.3 间接依赖 npm
@types/glob 7.1.3 间接依赖 npm
schema-utils 2.7.1 间接依赖 npm
num2fraction 1.2.2 间接依赖 npm
parse-asn1 5.1.6 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
postcss-merge-rules 2.1.2 间接依赖 npm
ansi-regex 4.1.0 间接依赖 npm
nativescript-menu file:../src 直接依赖 npm
nativescript-css-loader 0.26.1 直接依赖 npm
webpack-log 1.2.0 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
minipass-pipeline 1.2.4 间接依赖 npm
hoopy 0.1.4 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
fast-glob 3.2.4 间接依赖 npm
@nodelib/fs.stat 2.0.3 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
lodash.camelcase 4.3.0 间接依赖 npm
acorn-walk 7.2.0 间接依赖 npm
colormin 1.1.2 间接依赖 npm
optimist 0.6.1 间接依赖 npm
pumpify 1.5.1 间接依赖 npm
ignore 5.1.8 直接依赖 npm
fs-monkey 1.0.1 间接依赖 npm
unique-slug 2.0.2 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
buffer-alloc-unsafe 1.1.0 间接依赖 npm
fork-ts-checker-webpack-plugin 5.0.14 间接依赖 npm
http-errors 1.7.2 间接依赖 npm
isobject 3.0.1 间接依赖 npm
cipher-base 1.0.4 间接依赖 npm
buffer-alloc 1.2.0 间接依赖 npm
pseudomap 1.0.2 直接依赖 npm
wrap-ansi 5.1.0 间接依赖 npm
arraybuffer.slice 0.0.7 间接依赖 npm
create-ecdh 4.0.4 间接依赖 npm
mime-db 1.44.0 间接依赖 npm
connect 3.7.0 间接依赖 npm
strip-eof 1.0.0 间接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
rework 1.0.1 间接依赖 npm
rimraf 2.6.2 直接依赖 npm
ejs 2.7.4 间接依赖 npm
@babel/highlight 7.10.4 间接依赖 npm
rxjs 6.5.5 间接依赖 npm
cookie-signature 1.0.6 间接依赖 npm
@webassemblyjs/wasm-gen 1.9.0 间接依赖 npm
emojis-list 3.0.0 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
shallow-clone 1.0.0 间接依赖 npm
@types/webpack 4.41.25 间接依赖 npm
requires-port 1.0.0 间接依赖 npm
css-unit-converter 1.1.2 间接依赖 npm
prr 1.0.1 间接依赖 npm
ws 6.2.1 间接依赖 npm
postcss-calc 5.3.1 间接依赖 npm
async-limiter 1.0.1 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
domain-browser 1.2.0 间接依赖 npm
@webassemblyjs/utf8 1.9.0 间接依赖 npm
merge2 1.4.1 间接依赖 npm
p-map 2.1.0 间接依赖 npm
array-uniq 1.0.3 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
anymatch 3.1.1 间接依赖 npm
fsevents 2.1.3 间接依赖 npm
csso 2.3.2 间接依赖 npm
jest-worker 26.6.2 间接依赖 npm
convert-source-map 1.7.0 间接依赖 npm
@webassemblyjs/helper-fsm 1.9.0 间接依赖 npm
proxy-lib 0.4.0 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
static-extend 0.1.2 间接依赖 npm
nanomatch 1.2.13 直接依赖 npm
run-parallel 1.1.10 间接依赖 npm
@types/parse-json 4.0.0 间接依赖 npm
@webassemblyjs/ast 1.9.0 间接依赖 npm
constants-browserify 1.0.0 间接依赖 npm
acorn 6.4.2 间接依赖 npm
psl 1.8.0 间接依赖 npm
currently-unhandled 0.4.1 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
ncp 2.0.0 直接依赖 npm
dom-serialize 2.2.1 间接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
@nativescript/webpack 3.0.8 直接依赖 npm
once 1.4.0 间接依赖 npm
mixin-object 2.0.1 间接依赖 npm
eventemitter3 4.0.7 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.9.0 间接依赖 npm
etag 1.8.1 间接依赖 npm
merge-descriptors 1.0.1 间接依赖 npm
stream-http 2.8.3 间接依赖 npm
has-values 1.0.0 间接依赖 npm
statuses 1.5.0 间接依赖 npm
cross-spawn 6.0.5 间接依赖 npm
arr-union 3.1.0 间接依赖 npm
fs-extra 9.0.1 间接依赖 npm
autoprefixer 6.7.7 间接依赖 npm
ent 2.2.0 间接依赖 npm
minizlib 2.1.2 间接依赖 npm
normalize-url 1.9.1 间接依赖 npm
proxy-addr 2.0.6 间接依赖 npm
postcss-selector-parser 6.0.4 间接依赖 npm
minipass-collect 1.0.2 间接依赖 npm
socket.io 2.1.1 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
ms 2.0.0 间接依赖 npm
webpack-sources 1.4.3 间接依赖 npm
tapable 1.1.3 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
flush-write-stream 1.1.1 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
glob-parent 5.1.1 间接依赖 npm
engine.io-parser 2.1.3 间接依赖 npm
ini 1.3.5 间接依赖 npm
has-binary2 1.0.3 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
from2 2.3.0 间接依赖 npm
tsutils 2.29.0 间接依赖 npm
css-selector-tokenizer 0.7.3 间接依赖 npm
after 0.8.2 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
reduce-function-call 1.0.3 直接依赖 npm
postcss-discard-empty 2.1.0 间接依赖 npm
ajv-errors 1.0.1 直接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
shebang-command 1.2.0 间接依赖 npm
yeast 0.1.2 间接依赖 npm
yargs-parser 13.1.2 间接依赖 npm
date-format 2.1.0 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
extra-watch-webpack-plugin 1.0.3 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
electron-to-chromium 1.3.596 间接依赖 npm
import-fresh 3.2.2 间接依赖 npm
@webassemblyjs/wast-parser 1.9.0 间接依赖 npm
fastq 1.9.0 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
sha.js 2.4.11 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
util 0.11.1 间接依赖 npm
uniq 1.0.1 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
has-value 1.0.0 间接依赖 npm
postcss-colormin 2.2.2 间接依赖 npm
tty-browserify 0.0.0 间接依赖 npm
karma-jasmine 2.0.1 直接依赖 npm
postcss-minify-selectors 2.1.1 间接依赖 npm
cacache 15.0.5 间接依赖 npm
raw-body 2.4.0 间接依赖 npm
binary-extensions 2.1.0 间接依赖 npm
express 4.17.1 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
uri-js 4.4.0 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
webpack 4.44.2 间接依赖 npm
@webassemblyjs/wasm-edit 1.9.0 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
strip-ansi 5.2.0 间接依赖 npm
loglevelnext 1.0.5 间接依赖 npm
fs-minipass 2.1.0 间接依赖 npm
posix-character-classes 0.1.1 间接依赖 npm
through2 2.0.5 间接依赖 npm
engine.io-client 3.2.1 间接依赖 npm
is-buffer 1.1.6 直接依赖 npm
watchpack-chokidar2 2.0.1 间接依赖 npm
arr-flatten 1.1.0 直接依赖 npm
json-parse-better-errors 1.0.2 间接依赖 npm
upath 1.2.0 直接依赖 npm
resolve-cwd 2.0.0 间接依赖 npm
is-core-module 2.1.0 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
tslint 5.4.3 直接依赖 npm
postcss-ordered-values 2.2.3 间接依赖 npm
lodash.uniq 4.5.0 间接依赖 npm
global-modules-path 2.3.1 间接依赖 npm
is-data-descriptor 0.1.4 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
memory-fs 0.5.0 间接依赖 npm
is-number 7.0.0 间接依赖 npm
caseless 0.12.0 间接依赖 npm
alphanum-sort 1.0.2 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
properties-reader 2.0.0 间接依赖 npm
public-encrypt 4.0.3 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
form-data 2.3.3 间接依赖 npm
postcss-normalize-url 3.0.8 间接依赖 npm
get-value 2.0.6 间接依赖 npm
json5 2.1.3 间接依赖 npm
lcid 2.0.0 间接依赖 npm
p-defer 1.0.0 间接依赖 npm
@types/minimatch 3.0.3 间接依赖 npm
p-try 2.2.0 间接依赖 npm
builtin-status-codes 3.0.0 间接依赖 npm
figgy-pudding 3.5.2 直接依赖 npm
async 2.6.3 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
browserify-rsa 4.1.0 间接依赖 npm
del 4.1.1 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
di 0.0.1 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
map-visit 1.0.0 间接依赖 npm
stream-shift 1.0.1 间接依赖 npm
verror 1.10.0 间接依赖 npm
is-svg 2.1.0 间接依赖 npm
postcss-value-parser 3.3.1 间接依赖 npm
clap 1.2.3 间接依赖 npm
ext 1.4.0 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
atob 2.1.2 间接依赖 npm
qs 6.7.0 间接依赖 npm
worker-farm 1.7.0 直接依赖 npm
execa 1.0.0 间接依赖 npm
request 2.88.0 间接依赖 npm
math-expression-evaluator 1.2.22 直接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
colors 1.4.0 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
asn1 0.2.4 间接依赖 npm
move-concurrently 1.0.1 直接依赖 npm
@webassemblyjs/helper-code-frame 1.9.0 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
path-to-regexp 0.1.7 间接依赖 npm
http-proxy 1.18.1 间接依赖 npm
set-blocking 2.0.0 间接依赖 npm
cssesc 3.0.0 间接依赖 npm
send 0.17.1 间接依赖 npm
rimraf 2.7.1 间接依赖 npm
resolve-url 0.2.1 直接依赖 npm
html-comment-regex 1.1.2 间接依赖 npm
@webassemblyjs/leb128 1.9.0 间接依赖 npm
adjust-sourcemap-loader 3.0.0 间接依赖 npm
source-list-map 2.0.1 间接依赖 npm
pinkie-promise 2.0.1 间接依赖 npm
socket.io-parser 3.2.0 间接依赖 npm
karma-webpack 3.0.5 直接依赖 npm
os-locale 3.1.0 直接依赖 npm
icss-utils 4.1.1 间接依赖 npm
tar 6.0.5 间接依赖 npm
pify 4.0.1 间接依赖 npm
find-up 4.1.0 间接依赖 npm
@npmcli/move-file 1.0.1 间接依赖 npm
yallist 4.0.0 间接依赖 npm
regex-parser 2.2.11 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
fresh 0.5.2 间接依赖 npm
component-inherit 0.0.3 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
postcss-reduce-idents 2.4.0 间接依赖 npm
parseuri 0.0.5 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
global-prefix 1.0.2 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
css-loader 4.2.2 间接依赖 npm
methods 1.1.2 间接依赖 npm
core-util-is 1.0.2 间接依赖 npm
js-yaml 3.7.0 间接依赖 npm
ts-loader 8.0.11 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
pump 3.0.0 间接依赖 npm
@webassemblyjs/helper-api-error 1.9.0 间接依赖 npm
pbkdf2 3.1.1 间接依赖 npm
browserify-aes 1.2.0 间接依赖 npm
import-local 2.0.0 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
postcss-discard-unused 2.2.3 间接依赖 npm
@webassemblyjs/wasm-opt 1.9.0 间接依赖 npm
path-key 2.0.1 间接依赖 npm
osenv 0.1.4 间接依赖 npm
union-value 1.0.1 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
isstream 0.1.2 间接依赖 npm
color-name 1.1.3 间接依赖 npm
log-symbols 2.2.0 间接依赖 npm
path-browserify 0.0.1 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
minipass-flush 1.0.5 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
content-type 1.0.4 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
css 3.0.0 间接依赖 npm
evp_bytestokey 1.0.3 间接依赖 npm
resolve-url-loader 3.1.2 间接依赖 npm
postcss-discard-duplicates 2.1.0 间接依赖 npm
punycode 2.1.1 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
define-property 2.0.2 间接依赖 npm
klona 1.1.2 间接依赖 npm
is-plain-obj 1.1.0 间接依赖 npm
querystring-es3 0.2.1 间接依赖 npm
url 0.11.0 间接依赖 npm
babel-runtime 6.26.0 间接依赖 npm
unique-filename 1.1.1 间接依赖 npm
socket.io-client 2.1.1 间接依赖 npm
filesize 3.6.1 间接依赖 npm
node-libs-browser 2.2.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
destroy 1.0.4 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
tryer 1.0.1 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.9.0 间接依赖 npm
timers-browserify 2.0.12 间接依赖 npm
enhanced-resolve 4.3.0 间接依赖 npm
errno 0.1.7 间接依赖 npm
setprototypeof 1.1.1 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
rework-visit 1.0.0 间接依赖 npm
nativescript-theme-core 1.0.6 直接依赖 npm
concat-stream 1.6.2 间接依赖 npm
clone 1.0.4 间接依赖 npm
better-assert 1.0.2 间接依赖 npm
universalify 1.0.0 间接依赖 npm
js-base64 2.6.4 直接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
ret 0.1.15 间接依赖 npm
@angular-devkit/core 10.0.8 间接依赖 npm
path-is-inside 1.0.2 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
bluebird 3.7.2 间接依赖 npm
global-modules 2.0.0 间接依赖 npm
postcss-zindex 2.2.0 间接依赖 npm
invert-kv 2.0.0 间接依赖 npm
chalk 2.4.2 间接依赖 npm
es5-ext 0.10.53 间接依赖 npm
vm-browserify 1.1.2 间接依赖 npm
toidentifier 1.0.0 间接依赖 npm
nativescript-dev-webpack 1.0.1 直接依赖 npm
@nativescript/hook 2.0.0 间接依赖 npm
at-least-node 1.0.0 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
os-browserify 0.3.0 间接依赖 npm
path-dirname 1.0.2 直接依赖 npm
kind-of 6.0.3 间接依赖 npm
micromatch 4.0.2 间接依赖 npm
core-js 2.6.11 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
browserify-des 1.0.2 间接依赖 npm
mem 4.3.0 间接依赖 npm
@webassemblyjs/helper-module-context 1.9.0 间接依赖 npm
bfj 6.1.2 间接依赖 npm
big.js 5.2.2 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
stream-browserify 2.0.2 间接依赖 npm
lodash 4.17.20 间接依赖 npm
strict-uri-encode 1.1.0 间接依赖 npm
caniuse-db 1.0.30001158 间接依赖 npm
postcss-message-helpers 2.0.0 间接依赖 npm
ripemd160 2.0.2 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
nice-try 1.0.5 间接依赖 npm
@types/webpack-sources 2.0.0 间接依赖 npm
pako 1.0.11 间接依赖 npm
buffer-from 1.1.1 间接依赖 npm
glob 7.1.6 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
@nativescript/types 7.0.4 直接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.9.0 间接依赖 npm
array-flatten 1.1.1 间接依赖 npm
d 1.0.1 间接依赖 npm
icss-replace-symbols 1.1.0 直接依赖 npm
readable-stream 2.3.7 间接依赖 npm
crypto-browserify 3.12.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
vendors 1.0.4 间接依赖 npm
postcss-reduce-initial 1.0.1 间接依赖 npm
reduce-css-calc 2.1.7 间接依赖 npm
parse-json 5.1.0 间接依赖 npm
call-bind 1.0.0 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
assert 1.5.0 间接依赖 npm
flatten 1.0.3 直接依赖 npm
postcss-normalize-charset 1.1.1 间接依赖 npm
babel-code-frame 6.26.0 间接依赖 npm
aggregate-error 3.1.0 直接依赖 npm
has 1.0.3 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
@babel/helper-validator-identifier 7.10.4 间接依赖 npm
@nativescript/types-ios 7.0.4 间接依赖 npm
whet.extend 0.9.9 间接依赖 npm
@types/tapable 1.0.6 间接依赖 npm
@types/node 14.14.7 间接依赖 npm
postcss-unique-selectors 2.0.2 间接依赖 npm
shelljs 0.8.4 间接依赖 npm
chrome-trace-event 1.0.2 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
coa 1.0.4 间接依赖 npm
object-copy 0.1.0 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
@types/uglify-js 3.11.1 间接依赖 npm
opener 1.5.2 间接依赖 npm
console-browserify 1.2.0 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
indexof 0.0.1 间接依赖 npm
create-hmac 1.1.7 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
miller-rabin 4.0.1 间接依赖 npm
prepend-http 1.0.4 间接依赖 npm
base 0.11.2 间接依赖 npm
tmp 0.0.33 间接依赖 npm
color 0.11.4 间接依赖 npm
resolve 1.19.0 间接依赖 npm
query-string 4.3.4 间接依赖 npm
is-absolute-url 2.1.0 间接依赖 npm
postcss-svgo 2.1.6 间接依赖 npm
array-find-index 1.0.2 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
postcss-modules-extract-imports 2.0.0 间接依赖 npm
cache-base 1.0.1 间接依赖 npm
@types/source-list-map 0.1.2 间接依赖 npm
browserslist 1.7.7 间接依赖 npm
typescript 3.9.7 直接依赖 npm
find-cache-dir 3.3.1 间接依赖 npm
fastparse 1.1.2 间接依赖 npm
karma-nativescript-launcher 0.4.0 直接依赖 npm
chokidar 3.4.3 间接依赖 npm
worker-rpc 0.1.1 直接依赖 npm
to-array 0.1.4 间接依赖 npm
inherits 2.0.4 间接依赖 npm
nativescript-hook 0.2.4 间接依赖 npm
is-path-cwd 2.2.0 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
which-module 2.0.0 间接依赖 npm
lodash.tail 4.1.1 直接依赖 npm
safe-regex 1.1.0 间接依赖 npm
loud-rejection 1.6.0 间接依赖 npm
copy-webpack-plugin 6.0.4 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
@types/anymatch 1.3.1 间接依赖 npm
which 1.3.1 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
mime 1.6.0 间接依赖 npm
uniqs 2.0.0 间接依赖 npm
to-object-path 0.3.0 间接依赖 npm
@nodelib/fs.scandir 2.1.3 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
snapdragon-node 2.1.1 直接依赖 npm
url-join 2.0.5 间接依赖 npm
inherits 2.0.3 间接依赖 npm
repeat-element 1.1.3 直接依赖 npm
has-symbols 1.0.1 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
y18n 4.0.0 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
regenerator-runtime 0.11.1 间接依赖 npm
browserify-cipher 1.0.1 间接依赖 npm
backo2 1.0.2 间接依赖 npm
co 4.6.0 直接依赖 npm
ultron 1.1.1 直接依赖 npm
log4js 4.5.1 间接依赖 npm
dir-glob 3.0.1 直接依赖 npm
yaml 1.10.0 间接依赖 npm
npm-run-path 2.0.2 间接依赖 npm
p-limit 3.0.2 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
picomatch 2.2.2 间接依赖 npm
require-main-filename 2.0.0 间接依赖 npm
diff 3.5.0 间接依赖 npm
type 1.2.0 间接依赖 npm
@webassemblyjs/ieee754 1.9.0 间接依赖 npm
unset-value 1.0.0 间接依赖 npm
postcss-discard-comments 2.0.4 间接依赖 npm
stream-each 1.2.3 间接依赖 npm
media-typer 0.3.0 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
buffer 4.9.2 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
shebang-regex 1.0.0 间接依赖 npm
duplexer 0.1.2 间接依赖 npm
is-path-inside 2.1.0 间接依赖 npm
run-queue 1.0.3 间接依赖 npm
serialize-javascript 4.0.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
cookie 0.4.0 间接依赖 npm
async-each 1.0.3 直接依赖 npm
object-component 0.0.3 间接依赖 npm
socket.io-adapter 1.1.2 间接依赖 npm
@nativescript/types-android 7.0.4 间接依赖 npm
eslint-scope 4.0.3 间接依赖 npm
minimist 1.2.5 间接依赖 npm
q 1.5.1 间接依赖 npm
yargs 13.3.2 间接依赖 npm
defined 1.0.0 间接依赖 npm
querystring 0.2.0 间接依赖 npm
minipass 3.1.3 间接依赖 npm
normalize-range 0.1.2 间接依赖 npm
mime-types 2.1.27 间接依赖 npm
postcss-modules-local-by-default 3.0.3 间接依赖 npm
@webassemblyjs/helper-buffer 1.9.0 间接依赖 npm
@webassemblyjs/wast-printer 1.9.0 间接依赖 npm
postcss-merge-longhand 2.0.2 间接依赖 npm
@nativescript/android 7.0.1 直接依赖 npm
tslib 2.0.3 间接依赖 npm
@nodelib/fs.walk 1.2.4 间接依赖 npm
source-map-url 0.4.0 直接依赖 npm
loader-runner 2.4.0 间接依赖 npm
number-is-nan 1.0.1 直接依赖 npm
is-accessor-descriptor 0.1.6 间接依赖 npm
cssnano 3.10.0 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
postcss-minify-gradients 1.0.5 间接依赖 npm
@babel/code-frame 7.10.4 间接依赖 npm
postcss-convert-values 2.6.1 间接依赖 npm
source-map-support 0.5.19 间接依赖 npm
mississippi 3.0.0 直接依赖 npm
sass-loader 9.0.3 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
graceful-fs 4.2.4 间接依赖 npm
inflight 1.0.6 间接依赖 npm
commondir 1.0.1 间接依赖 npm
p-is-promise 2.1.0 间接依赖 npm
supports-color 6.1.0 间接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
ajv-keywords 3.5.2 间接依赖 npm
source-map 0.6.1 间接依赖 npm
sax 1.2.4 间接依赖 npm
component-bind 1.0.0 间接依赖 npm
postcss-reduce-transforms 1.0.4 间接依赖 npm
parallel-transform 1.2.0 间接依赖 npm
extglob 2.0.4 直接依赖 npm
postcss-modules-scope 2.2.0 间接依赖 npm
object-path 0.11.4 直接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
webpack-cli 3.3.12 间接依赖 npm
create-hash 1.2.0 间接依赖 npm
interpret 1.4.0 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
iferr 0.1.5 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
getpass 0.1.7 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
watchpack 1.7.5 间接依赖 npm
get-stream 4.1.0 间接依赖 npm
acorn-dynamic-import 3.0.0 直接依赖 npm
globby 6.1.0 间接依赖 npm
is-path-in-cwd 2.1.0 间接依赖 npm
webpack-dev-middleware 2.0.6 间接依赖 npm
color-string 0.3.0 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
postcss-merge-idents 2.1.7 间接依赖 npm
magic-string 0.25.7 间接依赖 npm
uuid 3.4.0 间接依赖 npm
void-elements 2.0.1 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
css-color-names 0.0.4 间接依赖 npm
@types/json-schema 7.0.6 间接依赖 npm
vary 1.1.2 间接依赖 npm
has-cors 1.1.0 间接依赖 npm
accepts 1.3.7 间接依赖 npm
array-union 1.0.2 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
to-arraybuffer 1.0.1 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
postcss-minify-params 1.2.2 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
copy-concurrently 1.0.5 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
engine.io 3.2.1 间接依赖 npm
(0)
上一篇 2023年11月22日
下一篇 2023年11月22日

相关推荐

  • jetstack/kube-lego 软件分析报告

    基础信息 项目名称:jetstack/kube-lego 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721306177357774848/1732030686489436160 此报告由Murphysec提供…

    软件分析 2023年12月5日
    0
  • facebook/lexical 软件分析报告

    基础信息 项目名称:facebook/lexical 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721180392190377984/1726058292595613696 此报告由Murphysec提供 漏…

    软件分析 2023年11月19日
    0
  • phusion/passenger 软件分析报告

    基础信息 项目名称:phusion/passenger 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1762245727305277440/1762245727343026176 此报告由Murphysec提供 …

    软件分析 2024年2月27日
    0
  • YvesCheung/RollingText 软件分析报告

    基础信息 项目名称:YvesCheung/RollingText 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721691426625228800/1721691426914635776 此报告由Murphys…

    软件分析 2023年11月7日
    0
  • doug-martin/nestjs-query 软件分析报告

    基础信息 项目名称:doug-martin/nestjs-query 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721144680934014976/1727828018200010752 此报告由Murph…

    软件分析 2023年11月24日
    0